# This is an example docker-compose.yml that shows you how to run the project locally
# It is not meant to be used as is in production
version: "3.7"

services:
  tds:
    build:
      context: .
      args:
        REACT_APP_ENV: ${REACT_APP_ENV}
        REACT_APP_API_TDS: ${REACT_APP_API_TDS}
        PUBLIC_URL: ${PUBLIC_URL}
    volumes:
      - "./peerOrganizations:/usr/src/app/packages/tds-backend/peerOrganizations"
    environment:
      TDS_API_USERNAME: ${TDS_API_USERNAME}
      TDS_API_PASSWORD: ${TDS_API_PASSWORD}
      EBSI_ENV: ${EBSI_ENV}
      EBSI_TEST_MODE: ${EBSI_TEST_MODE}
      PORT: ${PORT}
    ports:
      - "${PORT}:${PORT}"
